.rocker-switch {
    width: 220px;
    height: 90px;
    justify-self: center;
    align-self: center;
    position: relative;
    display: block;
}

.rocker-switch input {
    display: none;
}

.rocker-track {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    position: relative;
    overflow: hidden;
    background-color: white;
    border-radius: 999px;
    box-shadow: var(--common-box-shadow);
    cursor: pointer;
}

.rocker-option {
    z-index: 2;
    display: grid;
    place-items: center;
    font-size: 18pt;
    font-weight: 500;
    transition: color 0.25s ease;
}

.rocker-option-off {
    color: white;
}

.rocker-option-on {
    color: var(--middle-green);
}

.rocker-thumb {
    width: 50%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: var(--middle-green);
    border-radius: 999px;
    transition: left 0.25s ease;
}

.rocker-switch input:checked + .rocker-track .rocker-thumb {
    left: 50%;
}

.rocker-switch input:checked + .rocker-track .rocker-option-off {
    color: var(--middle-green);
}

.rocker-switch input:checked + .rocker-track .rocker-option-on {
    color: white;
}
